Subject: bug#32502: 27.0.50; Tramp; C-g during asynchronous remote find-file kills Emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Aug 2018 16:51:14 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 30 Aug 2018 15:32:58 +0200
> 
> > If we want to announce the errors to the main thread, we can use
> > methods other than signaling an error.  For example, we could inject
> > a special event into the input queue, similarly to how we produce
> > help-echo and other special events.
> 
> I'm just changing thread-signal such a way that it ignores silently
> signals sent to the main thread. Shall I implement this event injection
> instead?

I don't know.  I guess it depends on how important is it to show the
errors nicely.  You could leave signals for now and use the events
idea later as an enhancement.

> And what shall be done with this event in the main thread? Just writing
> an error message, or some kind of handling?

Yes, displaying a message would be a good starting point, I think.